#!/bin/sh
# ramdisk_check.sh # Companion script to Pizza'sGood ramdisk_gui script.
#
# Requires the real less utility by Greenwood software.
# The busybox less won't cut it.
#
# © Christian L'Écuyer, Gatineau (Qc), Canada, Oct. 14-15 2017. GPL3
# (Alias musher0 [forum Puppy].) # https://opensource.org/licenses/GPL-3.0
#################
#   	This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#		This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#    	You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
##########

echo -e ".
`df | head -1`
\e[33m`df -m | grep ram1`\e[0m
." > /tmp/ramdisk_check

# variables
FONT="fn xft:LiberationMono:pixelsize=15:autohint=true:antialias=true"
FadE="fade 70 -fadecolor "#94A495""
COLR="bg sienna4 -fg cornsilk -bd firebrick4 -b 4 -cr white"
########### couleurs ############## bordure  ##### curseur #
TRNSP="tr -tint snow -sh 42"
###########  transparence
# couleurs avec effets de transparence
Title="                     Ramdisk_Check                          "
Geom="g 65x5-250-250"

rxvt -$FONT -$COLR -$TRNSP -$Geom -T "$Title" -$FadE +sb -sr +st +tcw -bc -e less -~ -R -P "$Title" /tmp/ramdisk_check
